#IFNDEF VERSIONS_H
#DEFINE VERSIONS_H

#IF COMMCTRLVER <= WIN32_COMMCTRL_470
	#DEFINE _TrackMouseEvent _TrackMouseEvent_NotAvailable
#ENDIF

#IF COMMCTRLVER < WIN32_COMMCTRL_471
	#DEFINE DllInstall  DllInstall_NotAvailable
	#DEFINE FlatSB_EnableScrollBar FlatSB_EnableScrollBar_NotAvailable
	#DEFINE FlatSB_GetScrollInfo FlatSB_GetScrollInfo_NotAvailable
	#DEFINE FlatSB_GetScrollPos FlatSB_GetScrollPos_NotAvailable
	#DEFINE FlatSB_GetScrollProp FlatSB_GetScrollProp_NotAvailable
	#DEFINE FlatSB_GetScrollRange FlatSB_GetScrollRange_NotAvailable
	#DEFINE FlatSB_SetScrollInfo FlatSB_SetScrollInfo_NotAvailable
	#DEFINE FlatSB_SetScrollPos FlatSB_SetScrollPos_NotAvailable
	#DEFINE FlatSB_SetScrollProp FlatSB_SetScrollProp_NotAvailable
	#DEFINE FlatSB_SetScrollRange FlatSB_SetScrollRange_NotAvailable
	#DEFINE FlatSB_ShowScrollBar FlatSB_ShowScrollBar_NotAvailable
	#DEFINE ImageList_DrawIndirect ImageList_DrawIndirect_NotAvailable
	#DEFINE ImageList_Duplicate ImageList_Duplicate_NotAvailable
	#DEFINE InitializeFlatSB InitializeFlatSB_NotAvailable
	#DEFINE UninitializeFlatSB UninitializeFlatSB_NotAvailable
#ENDIF

#IF COMMCTRLVER >= WIN32_COMMCTRL_582
	#DEFINE DllInstall  DllInstall_NotAvailable
#ENDIF

#IF COMMCTRLVER < WIN32_COMMCTRL_580
	#DEFINE GetMUILanguage GetMUILanguage_NotAvailable
	#DEFINE ImageList_SetFlags ImageList_SetFlags_NotAvailable
	#DEFINE InitMUILanguage InitMUILanguage_NotAvailable
#ENDIF

#IF COMMCTRLVER < WIN32_COMMCTRL_581
	#DEFINE ImageList_GetFlags ImageList_GetFlags_NotAvailable
#ENDIF

#IF COMMCTRLVER < WIN32_COMMCTRL_582
	#DEFINE RegisterClassNameW RegisterClassNameW_NotAvailable
#ENDIF

#IF COMMCTRLVER < WIN32_COMMCTRL_600
	#DEFINE DrawShadowText DrawShadowText_NotAvailable
	#DEFINE HIMAGELIST_QueryInterface HIMAGELIST_QueryInterface_NotAvailable
	#DEFINE ImageList_ReadEx ImageList_ReadEx_NotAvailable
	#DEFINE ImageList_WriteEx ImageList_WriteEx_NotAvailable
#ENDIF

#IF COMMCTRLVER < WIN32_COMMCTRL_610
	#DEFINE AttachScrollBars AttachScrollBars_NotAvailable
	#DEFINE CCEnableScrollBar CCEnableScrollBar_NotAvailable
	#DEFINE CCGetScrollInfo CCGetScrollInfo_NotAvailable
	#DEFINE CCSetScrollInfo CCSetScrollInfo_NotAvailable
	#DEFINE DetachScrollBars DetachScrollBars_NotAvailable
	#DEFINE DPA_GetSize DPA_GetSize_NotAvailable
	#DEFINE DrawScrollBar DrawScrollBar_NotAvailable
	#DEFINE DrawSizeBox DrawSizeBox_NotAvailable
	#DEFINE DSA_Clone DSA_Clone_NotAvailable
	#DEFINE DSA_GetSize DSA_GetSize_NotAvailable
	#DEFINE DSA_Sort DSA_Sort_NotAvailable
	#DEFINE HandleScrollCmd HandleScrollCmd_NotAvailable
	#DEFINE ImageList_CoCreateInstance ImageList_CoCreateInstance_NotAvailable
	#DEFINE ImageList_DestroyShared ImageList_DestroyShared_NotAvailable
	#DEFINE ImageList_Resize ImageList_Resize_NotAvailable
	#DEFINE LoadIconMetric LoadIconMetric_NotAvailable
	#DEFINE LoadIconWithScaleDown LoadIconWithScaleDown_NotAvailable
	#DEFINE QuerySystemGestureStatus QuerySystemGestureStatus_NotAvailable
	#DEFINE ScrollBar_Menu ScrollBar_Menu_NotAvailable
	#DEFINE ScrollBar_MouseMove ScrollBar_MouseMove_NotAvailable
	#DEFINE SizeBoxHwnd SizeBoxHwnd_NotAvailable
	#DEFINE TaskDialog TaskDialog_NotAvailable
	#DEFINE TaskDialogIndirect TaskDialogIndirect_NotAvailable
#ENDIF

#IF WINVER < NTDDI_WIN7
	#DEFINE ImageList_DestroyShared ImageList_DestroyShared_NotAvailable
#ENDIF

#IF SHELLVER < WIN32_SHELL_471
	#DEFINE DllCanUnloadNow DllCanUnloadNow_NotAvailable
	#DEFINE DllGetVersion DllGetVersion_NotAvailable
	#DEFINE DllInstall DllInstall_NotAvailable
	#DEFINE SHEmptyRecycleBinA SHEmptyRecycleBinA_NotAvailable
	#DEFINE SHEmptyRecycleBinW SHEmptyRecycleBinW_NotAvailable
	#DEFINE SHEmptyRecycleBin SHEmptyRecycleBin_NotAvailable
	#DEFINE SHGetDiskFreeSpaceA SHGetDiskFreeSpaceA_NotAvailable
	#DEFINE SHGetSettings SHGetSettings_NotAvailable
	#DEFINE SHGetSpecialFolderPathA SHGetSpecialFolderPathA_NotAvailable
	#DEFINE SHInvokePrinterCommandA SHInvokePrinterCommandA_NotAvailable
	#DEFINE SHInvokePrinterCommandW SHInvokePrinterCommandW_NotAvailable
	#DEFINE SHInvokePrinterCommand SHInvokePrinterCommand_NotAvailable
	#DEFINE SHQueryRecycleBinA SHQueryRecycleBinA_NotAvailable
	#DEFINE SHQueryRecycleBinW SHQueryRecycleBinA_NotAvailable
	#DEFINE SHQueryRecycleBin SHQueryRecycleBin_NotAvailable
#ENDIF

#IF SHELLVER < WIN32_SHELL_472
	#DEFINE SHExitWindowsEx SHExitWindowsEx_NotAvailable
#ENDIF

#IF SHELLVER < WIN32_SHELL_500
	#DEFINE Control_RunDLLAsUserW Control_RunDLLAsUserW_NotAvailable
	#DEFINE DllRegisterServer DllRegisterServer_NotAvailable
	#DEFINE DllUnregisterServer DllUnregisterServer_NotAvailable
	#DEFINE FixupOptionalComponents FixupOptionalComponents_NotAvailable
	#DEFINE OCInstall OCInstall_NotAvailable
	#DEFINE SHBindToParent SHBindToParent_NotAvailable
	#DEFINE SHChangeNotifySuspendResume SHChangeNotifySuspendResume_NotAvailable
	#DEFINE SHCreateDirectoryExA SHCreateDirectoryExA_NotAvailable
	#DEFINE SHCreateDirectoryExW SHCreateDirectoryExW_NotAvailable
	#DEFINE SHCreateDirectoryEx SHCreateDirectoryEx_NotAvailable
	#DEFINE SHCreateProcessAsUserW SHCreateProcessAsUserW_NotAvailable
	#DEFINE ShellExec_RunDLL ShellExec_RunDLL_NotAvailable
	#DEFINE ShellExec_RunDLLA ShellExec_RunDLLA_NotAvailable
	#DEFINE ShellExec_RunDLLW ShellExec_RunDLLW_NotAvailable
	#DEFINE SHExtractIconsW SHExtractIconsW_NotAvailable
	#DEFINE SHGetDiskFreeSpaceExA SHGetDiskFreeSpaceExA_NotAvailable
	#DEFINE SHGetDiskFreeSpaceExW SHGetDiskFreeSpaceExW_NotAvailable
	#DEFINE SHGetDiskFreeSpaceEx SHGetDiskFreeSpaceEx_NotAvailable
	#DEFINE SHGetFolderLocation SHGetFolderLocation_NotAvailable
	#DEFINE SHGetFolderPathA SHGetFolderPathA_NotAvailable
	#DEFINE SHGetFolderPathW SHGetFolderPathW_NotAvailable
	#DEFINE SHGetIconOverlayIndexA SHGetIconOverlayIndexA_NotAvailable
	#DEFINE SHGetIconOverlayIndexW SHGetIconOverlayIndexW_NotAvailable
	#DEFINE SHGetIconOverlayIndex SHGetIconOverlayIndex_NotAvailable
	#DEFINE SHIsFileAvailableOffline SHIsFileAvailableOffline_NotAvailable
	#DEFINE SHLoadNonloadedIconOverlayIdentifiers SHLoadNonloadedIconOverlayIdentifiers_NotAvailable
	#DEFINE SHPathPrepareForWriteA SHPathPrepareForWriteA_NotAvailable
	#DEFINE SHPathPrepareForWriteW SHPathPrepareForWriteW_NotAvailable
	#DEFINE SHPathPrepareForWrite SHPathPrepareForWrite_NotAvailable
#ENDIF

#IF SHELLVER < WIN32_SHELL_550
	#DEFINE Options_RunDLL Options_RunDLL_NotAvailable
	#DEFINE Options_RunDLLA Options_RunDLLA_NotAvailable
	#DEFINE Options_RunDLLW Options_RunDLLW_NotAvailable
	#DEFINE SHCreateLocalServerRunDll SHCreateLocalServerRunDll_NotAvailable
	#DEFINE SHOpenFolderAndSelectItems SHOpenFolderAndSelectItems_NotAvailable
#ENDIF

#IF SHELLVER < WIN32_SHELL_600
	#DEFINE Activate_RunDLL Activate_RunDLL_NotAvailable
	#DEFINE AppCompat_RunDLLW AppCompat_RunDLLW_NotAvailable
	#DEFINE AssocCreateForClasses AssocCreateForClasses_NotAvailable
	#DEFINE AssocGetDetailsOfPropKey AssocGetDetailsOfPropKey_NotAvailable
	#DEFINE ILLoadFromStreamEx ILLoadFromStreamEx_NotAvailable
	#DEFINE InitNetworkAddressControl InitNetworkAddressControl_NotAvailable
	#DEFINE PrepareDiscForBurnRunDllW PrepareDiscForBurnRunDllW_NotAvailable
	#DEFINE SHAddDefaultPropertiesByExt SHAddDefaultPropertiesByExt_NotAvailable
	#DEFINE SHAssocEnumHandlers SHAssocEnumHandlers_NotAvailable
	#DEFINE SHBindToFolderIDListParent SHBindToFolderIDListParent_NotAvailable
	#DEFINE SHBindToFolderIDListParentEx SHBindToFolderIDListParentEx_NotAvailable
	#DEFINE SHBindToObject SHBindToObject_NotAvailable
	#DEFINE SHChangeNotifyRegisterThread SHChangeNotifyRegisterThread_NotAvailable
	#DEFINE SHCreateAssociationRegistration SHCreateAssociationRegistration_NotAvailable
	#DEFINE SHCreateDataObject SHCreateDataObject_NotAvailable
	#DEFINE SHCreateDefaultContextMenu SHCreateDefaultContextMenu_NotAvailable
	#DEFINE SHCreateDefaultExtractIcon SHCreateDefaultExtractIcon_NotAvailable
	#DEFINE SHCreateDefaultPropertiesOp SHCreateDefaultPropertiesOp_NotAvailable
	#DEFINE SHCreateItemFromIDList SHCreateItemFromIDList_NotAvailable
	#DEFINE SHCreateItemFromParsingName SHCreateItemFromParsingName_NotAvailable
	#DEFINE SHCreateItemFromRelativeName SHCreateItemFromRelativeName_NotAvailable
	#DEFINE SHCreateItemInKnownFolder SHCreateItemInKnownFolder_NotAvailable
	#DEFINE SHCreateItemWithParent SHCreateItemWithParent_NotAvailable
	#DEFINE SHCreateQueryCancelAutoPlayMoniker SHCreateQueryCancelAutoPlayMoniker_NotAvailable
	#DEFINE SHCreateShellItem SHCreateShellItem_NotAvailable
	#DEFINE SHCreateShellItemArray SHCreateShellItemArray_NotAvailable
	#DEFINE SHCreateShellItemArrayFromDataObject SHCreateShellItemArrayFromDataObject_NotAvailable
	#DEFINE SHCreateShellItemArrayFromIDLists SHCreateShellItemArrayFromIDLists_NotAvailable
	#DEFINE SHCreateShellItemArrayFromShellItem SHCreateShellItemArrayFromShellItem_NotAvailable
	#DEFINE Shell_GetCachedImageIndexA Shell_GetCachedImageIndexA_NotAvailable
	#DEFINE Shell_GetCachedImageIndexW Shell_GetCachedImageIndexW_NotAvailable
	#DEFINE Shell_GetCachedImageIndex Shell_GetCachedImageIndex_NotAvailable
	#DEFINE SHEnableServiceObject SHEnableServiceObject_NotAvailable
	#DEFINE SHEnumerateUnreadMailAccountsW SHEnumerateUnreadMailAccountsW_NotAvailable
	#DEFINE SHEvaluateSystemCommandTemplate SHEvaluateSystemCommandTemplate_NotAvailable
	#DEFINE SHGetDriveMedia SHGetDriveMedia_NotAvailable
	#DEFINE SHGetFolderPathAndSubDirA SHGetFolderPathAndSubDirA_NotAvailable
	#DEFINE SHGetFolderPathAndSubDirW SHGetFolderPathAndSubDirW_NotAvailable
	#DEFINE SHGetFolderPathAndSubDir SHGetFolderPathAndSubDir_NotAvailable
	#DEFINE SHGetFolderPathEx SHGetFolderPathEx_NotAvailable
	#DEFINE SHGetIDListFromObject SHGetIDListFromObject_NotAvailable
	#DEFINE SHGetKnownFolderIDList SHGetKnownFolderIDList_NotAvailable
	#DEFINE SHGetKnownFolderPath SHGetKnownFolderPath_NotAvailable
	#DEFINE SHGetLocalizedName SHGetLocalizedName_NotAvailable
	#DEFINE SHGetNameFromIDList SHGetNameFromIDList_NotAvailable
	#DEFINE SHGetPathFromIDListEx SHGetPathFromIDListEx_NotAvailable
	#DEFINE SHGetPropertyStoreFromIDList SHGetPropertyStoreFromIDList_NotAvailable
	#DEFINE SHGetPropertyStoreFromParsingName SHGetPropertyStoreFromParsingName_NotAvailable
	#DEFINE SHGetStockIconInfo SHGetStockIconInfo_NotAvailable
	#DEFINE SHGetTemporaryPropertyForItem SHGetTemporaryPropertyForItem_NotAvailable
	#DEFINE SHGetUnreadMailCountW SHGetUnreadMailCountW_NotAvailable
	#DEFINE SHOpenWithDialog SHOpenWithDialog_NotAvailable
	#DEFINE SHParseDisplayName SHParseDisplayName_NotAvailable
	#DEFINE SHQueryUserNotificationState SHQueryUserNotificationState_NotAvailable
	#DEFINE SHRemoveLocalizedName SHRemoveLocalizedName_NotAvailable
	#DEFINE SHSetDefaultProperties SHSetDefaultProperties_NotAvailable
	#DEFINE SHSetKnownFolderPath SHSetKnownFolderPath_NotAvailable
	#DEFINE SHSetLocalizedName SHSetLocalizedName_NotAvailable
	#DEFINE SHSetTemporaryPropertyForItem SHSetTemporaryPropertyForItem_NotAvailable
	#DEFINE SHSetUnreadMailCountW SHSetUnreadMailCountW_NotAvailable
	#DEFINE WaitForExplorerRestartW WaitForExplorerRestartW_NotAvailable
#ENDIF

#IF SHELLVER < WIN32_SHELL_610
	#DEFINE GetCurrentProcessExplicitAppUserModelID GetCurrentProcessExplicitAppUserModelID_NotAvailable
	#DEFINE LaunchMSHelp_RunDLLW LaunchMSHelp_RunDLLW_NotAvailable
	#DEFINE RunAsNewUser_RunDLLW RunAsNewUser_RunDLLW_NotAvailable
	#DEFINE SetCurrentProcessExplicitAppUserModelID SetCurrentProcessExplicitAppUserModelID_NotAvailable
	#DEFINE SHAssocEnumHandlersForProtocolByApplication SHAssocEnumHandlersForProtocolByApplication_NotAvailable
	#DEFINE Shell_NotifyIconGetRect Shell_NotifyIconGetRect_NotAvailable
	#DEFINE SHGetItemFromDataObject SHGetItemFromDataObject_NotAvailable
	#DEFINE SHGetItemFromObject SHGetItemFromObject_NotAvailable
	#DEFINE SHGetKnownFolderItem SHGetKnownFolderItem_NotAvailable
	#DEFINE SHGetPropertyStoreForWindow SHGetPropertyStoreForWindow_NotAvailable
	#DEFINE SHResolveLibrary SHResolveLibrary_NotAvailable
	#DEFINE SHShowManageLibraryUI SHShowManageLibraryUI_NotAvailable
	#DEFINE StgMakeUniqueName StgMakeUniqueName_NotAvailable
#ENDIF

#IF WINVER >= NTDDI_VISTA
	#DEFINE Activate_RunDLL Activate_RunDLL_NotAvailable
#ENDIF

#IFNDEF SHLWAPIVER
	SHLWAPIVER = WIN32_SHLWAPI_ALL
#ENDIF

#IF SHLWAPIVER < WIN32_SHLWAPI_471
 	#DEFINE ChrCmpIA ChrCmpIA_NotAvailable
 	#DEFINE ChrCmpIW ChrCmpIW_NotAvailable
 	#DEFINE GetMenuPosFromID GetMenuPosFromID_NotAvailable
 	#DEFINE HashData HashData_NotAvailable
 	#DEFINE PathCreateFromUrlA PathCreateFromUrlA_NotAvailable
 	#DEFINE PathCreateFromUrlW PathCreateFromUrlW_NotAvailable
 	#DEFINE PathGetCharTypeA PathGetCharTypeA_NotAvailable
 	#DEFINE PathGetCharTypeW PathGetCharTypeW_NotAvailable
 	#DEFINE PathIsContentTypeA PathIsContentTypeA_NotAvailable
 	#DEFINE PathIsContentTypeW PathIsContentTypeW_NotAvailable
 	#DEFINE PathIsSystemFolderA PathIsSystemFolderA_NotAvailable
 	#DEFINE PathIsSystemFolderW PathIsSystemFolderW_NotAvailable
 	#DEFINE PathIsUNCServerA PathIsUNCServerA_NotAvailable
 	#DEFINE PathIsUNCServerW PathIsUNCServerW_NotAvailable
 	#DEFINE PathIsUNCServerShareA PathIsUNCServerShareA_NotAvailable
 	#DEFINE PathIsUNCServerShareW PathIsUNCServerShareW_NotAvailable
 	#DEFINE PathMakeSystemFolderA PathMakeSystemFolderA_NotAvailable
 	#DEFINE PathMakeSystemFolderW PathMakeSystemFolderW_NotAvailable
 	#DEFINE PathUnmakeSystemFolderA PathUnmakeSystemFolderA_NotAvailable
 	#DEFINE PathUnmakeSystemFolderW PathUnmakeSystemFolderW_NotAvailable
 	#DEFINE SHCreateShellPalette SHCreateShellPalette_NotAvailable
 	#DEFINE SHEnumKeyExA SHEnumKeyExA_NotAvailable
 	#DEFINE SHEnumKeyExW SHEnumKeyExW_NotAvailable
 	#DEFINE SHEnumValueA SHEnumValueA_NotAvailable
 	#DEFINE SHEnumValueW SHEnumValueW_NotAvailable
 	#DEFINE SHGetInverseCMAP SHGetInverseCMAP_NotAvailable
 	#DEFINE SHIsLowMemoryMachine SHIsLowMemoryMachine_NotAvailable
 	#DEFINE SHOpenRegStreamA SHOpenRegStreamA_NotAvailable
 	#DEFINE SHOpenRegStreamW SHOpenRegStreamW_NotAvailable
 	#DEFINE SHQueryInfoKeyA SHQueryInfoKeyA_NotAvailable
 	#DEFINE SHQueryInfoKeyW SHQueryInfoKeyW_NotAvailable
 	#DEFINE SHRegCloseUSKey SHRegCloseUSKey_NotAvailable
 	#DEFINE SHRegCreateUSKeyA SHRegCreateUSKeyA_NotAvailable
 	#DEFINE SHRegCreateUSKeyW SHRegCreateUSKeyW_NotAvailable
 	#DEFINE SHRegDeleteEmptyUSKeyA SHRegDeleteEmptyUSKeyA_NotAvailable
 	#DEFINE SHRegDeleteEmptyUSKeyW SHRegDeleteEmptyUSKeyW_NotAvailable
 	#DEFINE SHRegDeleteUSValueA SHRegDeleteUSValueA_NotAvailable
 	#DEFINE SHRegDeleteUSValueW SHRegDeleteUSValueW_NotAvailable
 	#DEFINE SHRegEnumUSKeyA SHRegEnumUSKeyA_NotAvailable
 	#DEFINE SHRegEnumUSKeyW SHRegEnumUSKeyW_NotAvailable
 	#DEFINE SHRegEnumUSValueA SHRegEnumUSValueA_NotAvailable
 	#DEFINE SHRegEnumUSValueW SHRegEnumUSValueW_NotAvailable
 	#DEFINE SHRegGetBoolUSValueA SHRegGetBoolUSValueA_NotAvailable
 	#DEFINE SHRegGetBoolUSValueW SHRegGetBoolUSValueW_NotAvailable
 	#DEFINE SHRegGetUSValueA SHRegGetUSValueA_NotAvailable
 	#DEFINE SHRegGetUSValueW SHRegGetUSValueW_NotAvailable
 	#DEFINE SHRegOpenUSKeyA SHRegOpenUSKeyA_NotAvailable
 	#DEFINE SHRegOpenUSKeyW SHRegOpenUSKeyW_NotAvailable
 	#DEFINE SHRegQueryInfoUSKeyA SHRegQueryInfoUSKeyA_NotAvailable
 	#DEFINE SHRegQueryInfoUSKeyW SHRegQueryInfoUSKeyW_NotAvailable
 	#DEFINE SHRegQueryUSValueA SHRegQueryUSValueA_NotAvailable
 	#DEFINE SHRegQueryUSValueW SHRegQueryUSValueW_NotAvailable
 	#DEFINE SHRegSetUSValueA SHRegSetUSValueA_NotAvailable
 	#DEFINE SHRegSetUSValueW SHRegSetUSValueW_NotAvailable
 	#DEFINE SHRegWriteUSValueA SHRegWriteUSValueA_NotAvailable
 	#DEFINE SHRegWriteUSValueW SHRegWriteUSValueW_NotAvailable
 	#DEFINE StrNCatA StrNCatA_NotAvailable
 	#DEFINE StrNCatW StrNCatW_NotAvailable
 	#DEFINE StrTrimA StrTrimA_NotAvailable
 	#DEFINE StrTrimW StrTrimW_NotAvailable
 	#DEFINE UrlApplySchemeA UrlApplySchemeA_NotAvailable
 	#DEFINE UrlApplySchemeW UrlApplySchemeW_NotAvailable
 	#DEFINE UrlCanonicalizeA UrlCanonicalizeA_NotAvailable
 	#DEFINE UrlCanonicalizeW UrlCanonicalizeW_NotAvailable
 	#DEFINE UrlCombineA UrlCombineA_NotAvailable
 	#DEFINE UrlCombineW UrlCombineW_NotAvailable
 	#DEFINE UrlCompareA UrlCompareA_NotAvailable
 	#DEFINE UrlCompareW UrlCompareW_NotAvailable
 	#DEFINE UrlCreateFromPathA UrlCreateFromPathA_NotAvailable
 	#DEFINE UrlCreateFromPathW UrlCreateFromPathW_NotAvailable
 	#DEFINE UrlEscapeA UrlEscapeA_NotAvailable
 	#DEFINE UrlEscapeW UrlEscapeW_NotAvailable
 	#DEFINE UrlGetLocationA UrlGetLocationA_NotAvailable
 	#DEFINE UrlGetLocationW UrlGetLocationW_NotAvailable
 	#DEFINE UrlGetPartA UrlGetPartA_NotAvailable
 	#DEFINE UrlGetPartW UrlGetPartW_NotAvailable
 	#DEFINE UrlHashA UrlHashA_NotAvailable
 	#DEFINE UrlHashW UrlHashW_NotAvailable
 	#DEFINE UrlIsA UrlIsA_NotAvailable
 	#DEFINE UrlIsW UrlIsW_NotAvailable
 	#DEFINE UrlIsNoHistoryA UrlIsNoHistoryA_NotAvailable
 	#DEFINE UrlIsNoHistoryW UrlIsNoHistoryW_NotAvailable
 	#DEFINE UrlIsOpaqueA UrlIsOpaqueA_NotAvailable
 	#DEFINE UrlIsOpaqueW UrlIsOpaqueW_NotAvailable
 	#DEFINE UrlUnescapeA UrlUnescapeA_NotAvailable
 	#DEFINE UrlUnescapeW UrlUnescapeW_NotAvailable
#ENDIF

#IF SHLWAPIVER < WIN32_SHLWAPI_500
 	#DEFINE AssocCreate AssocCreate_NotAvailable
 	#DEFINE AssocQueryKeyA AssocQueryKeyA_NotAvailable
 	#DEFINE AssocQueryKeyW AssocQueryKeyW_NotAvailable
 	#DEFINE AssocQueryStringA AssocQueryStringA_NotAvailable
 	#DEFINE AssocQueryStringW AssocQueryStringW_NotAvailable
 	#DEFINE AssocQueryStringByKeyA AssocQueryStringByKeyA_NotAvailable
 	#DEFINE AssocQueryStringByKeyW AssocQueryStringByKeyW_NotAvailable
 	#DEFINE ColorAdjustLuma ColorAdjustLuma_NotAvailable
 	#DEFINE ColorHLSToRGB ColorHLSToRGB_NotAvailable
 	#DEFINE ColorRGBToHLS ColorRGBToHLS_NotAvailable
 	#DEFINE PathFindSuffixArrayA PathFindSuffixArrayA_NotAvailable
 	#DEFINE PathFindSuffixArrayW PathFindSuffixArrayW_NotAvailable
 	#DEFINE PathIsDirectoryEmptyA PathIsDirectoryEmptyA_NotAvailable
 	#DEFINE PathIsDirectoryEmptyW PathIsDirectoryEmptyW_NotAvailable
 	#DEFINE PathIsLFNFileSpecA PathIsLFNFileSpecA_NotAvailable
 	#DEFINE PathIsLFNFileSpecW PathIsLFNFileSpecW_NotAvailable
 	#DEFINE PathIsNetworkPathA PathIsNetworkPathA_NotAvailable
 	#DEFINE PathIsNetworkPathW PathIsNetworkPathW_NotAvailable
 	#DEFINE PathUndecorateA PathUndecorateA_NotAvailable
 	#DEFINE PathUndecorateW PathUndecorateW_NotAvailable
 	#DEFINE PathUnExpandEnvStringsA PathUnExpandEnvStringsA_NotAvailable
 	#DEFINE PathUnExpandEnvStringsW PathUnExpandEnvStringsW_NotAvailable
 	#DEFINE SHAutoComplete SHAutoComplete_NotAvailable
 	#DEFINE SHCopyKeyA SHCopyKeyA_NotAvailable
 	#DEFINE SHCopyKeyW SHCopyKeyW_NotAvailable
 	#DEFINE SHCreateStreamOnFileA SHCreateStreamOnFileA_NotAvailable
 	#DEFINE SHCreateStreamOnFileW SHCreateStreamOnFileW_NotAvailable
 	#DEFINE SHCreateStreamOnFileAOld SHCreateStreamOnFileAOld_NotAvailable
 	#DEFINE SHCreateStreamOnFileWOld SHCreateStreamOnFileWOld_NotAvailable
 	#DEFINE SHCreateStreamWrapper SHCreateStreamWrapper_NotAvailable
 	#DEFINE SHGetThreadRef SHGetThreadRef_NotAvailable
 	#DEFINE SHOpenRegStream2A SHOpenRegStream2A_NotAvailable
 	#DEFINE SHOpenRegStream2W SHOpenRegStream2W_NotAvailable
 	#DEFINE SHRegDuplicateHKey SHRegDuplicateHKey_NotAvailable
 	#DEFINE SHRegGetPathA SHRegGetPathA_NotAvailable
 	#DEFINE SHRegGetPathW SHRegGetPathW_NotAvailable
 	#DEFINE SHRegisterValidateTemplate SHRegisterValidateTemplate_NotAvailable
 	#DEFINE SHRegSetPathA SHRegSetPathA_NotAvailable
 	#DEFINE SHRegSetPathW SHRegSetPathW_NotAvailable
 	#DEFINE SHSetThreadRef SHSetThreadRef_NotAvailable
 	#DEFINE SHSkipJunction SHSkipJunction_NotAvailable
 	#DEFINE SHStrDupA SHStrDupA_NotAvailable
 	#DEFINE SHStrDupW SHStrDupW_NotAvailable
 	#DEFINE StrCatBuffA StrCatBuffA_NotAvailable
 	#DEFINE StrCatBuffW StrCatBuffW_NotAvailable
 	#DEFINE StrFormatByteSize64A StrFormatByteSize64A_NotAvailable
 	#DEFINE StrFormatKBSizeA StrFormatKBSizeA_NotAvailable
 	#DEFINE StrFormatKBSizeW StrFormatKBSizeW_NotAvailable
 	#DEFINE StrRetToBufA StrRetToBufA_NotAvailable
 	#DEFINE StrRetToBufW StrRetToBufW_NotAvailable
 	#DEFINE StrRetToStrA StrRetToStrA_NotAvailable
 	#DEFINE StrRetToStrW StrRetToStrW_NotAvailable
 	#DEFINE _SHGetInstanceExplorer@4 _SHGetInstanceExplorer@4_NotAvailable
 	#DEFINE wnsprintfA wnsprintfA_NotAvailable
 	#DEFINE wnsprintfW wnsprintfW_NotAvailable
 	#DEFINE wvnsprintfA wvnsprintfA_NotAvailable
 	#DEFINE wvnsprintfW wvnsprintfW_NotAvailable
#ENDIF

#IF WINVER >= NTDDI_WIN2K
	#DEFINE SHCreateStreamOnFileAOld SHCreateStreamOnFileAOld_NotAvailable
 	#DEFINE SHCreateStreamOnFileWOld SHCreateStreamOnFileWOld_NotAvailable
 	#DEFINE _SHGetInstanceExplorer@4 _SHGetInstanceExplorer@4_NotAvailable
#ENDIF

#IF SHLWAPIVER >= WIN32_SHLWAPI_610
	#DEFINE SHCreateStreamWrapper SHCreateStreamWrapper_NotAvailable
#ENDIF

#IF SHLWAPIVER < WIN32_SHLWAPI_600
	#DEFINE AssocGetPerceivedType AssocGetPerceivedType_NotAvailable
	#DEFINE AssocIsDangerous AssocIsDangerous_NotAvailable
	#DEFINE IsCharSpaceA IsCharSpaceA_NotAvailable
	#DEFINE PathCreateFromUrlAlloc PathCreateFromUrlAlloc_NotAvailable
	#DEFINE PathMatchSpecExA PathMatchSpecExA_NotAvailable
	#DEFINE PathMatchSpecExW PathMatchSpecExW_NotAvailable
	#DEFINE SHCreateStreamOnFileEx SHCreateStreamOnFileEx_NotAvailable
	#DEFINE SHCreateThreadRef SHCreateThreadRef_NotAvailable
	#DEFINE ShellMessageBoxA ShellMessageBoxA_NotAvailable
	#DEFINE SHRegGetValueA SHRegGetValueA_NotAvailable
	#DEFINE SHRegGetValueW SHRegGetValueW_NotAvailable
	#DEFINE SHReleaseThreadRef SHReleaseThreadRef_NotAvailable
	#DEFINE StrCatChainW StrCatChainW_NotAvailable
	#DEFINE StrChrNIW StrChrNIW_NotAvailable
	#DEFINE StrChrNW StrChrNW_NotAvailable
	#DEFINE StrCmpLogicalW StrCmpLogicalW_NotAvailable
	#DEFINE StrFormatByteSizeEx StrFormatByteSizeEx_NotAvailable
	#DEFINE StrRetToBSTR StrRetToBSTR_NotAvailable
	#DEFINE StrStrNW StrStrNW_NotAvailable
	#DEFINE StrStrNIW StrStrNIW_NotAvailable
	#DEFINE StrToInt64ExA StrToInt64ExA_NotAvailable
	#DEFINE StrToInt64ExW StrToInt64ExW_NotAvailable
#ENDIF

#IF SHLWAPIVER < WIN32_SHLWAPI_610
	#DEFINE SHPropertyBag_WriteBSTR SHPropertyBag_WriteBSTR_NotAvailable
#ENDIF

#ENDIF